curl --request GET \
--url https://cloud.kaneo.app/api/search \
--header 'Authorization: Bearer <token>'{
"tasks": [
{
"id": "<string>",
"projectId": "<string>",
"position": 123,
"number": 123,
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "no-priority",
"createdAt": "<unknown>",
"dueDate": "<unknown>"
}
],
"projects": [
{
"id": "<string>",
"workspaceId": "<string>",
"slug": "<string>",
"icon": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "<unknown>",
"isPublic": true
}
],
"workspaces": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"logo": "<string>",
"metadata": "<string>",
"description": "<string>",
"createdAt": "<unknown>"
}
],
"comments": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "<unknown>",
"userId": "<string>",
"content": "<string>",
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
],
"activities": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "<unknown>",
"userId": "<string>",
"content": "<string>",
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
]
}Search across tasks, projects, workspaces, comments, and activities
curl --request GET \
--url https://cloud.kaneo.app/api/search \
--header 'Authorization: Bearer <token>'{
"tasks": [
{
"id": "<string>",
"projectId": "<string>",
"position": 123,
"number": 123,
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "no-priority",
"createdAt": "<unknown>",
"dueDate": "<unknown>"
}
],
"projects": [
{
"id": "<string>",
"workspaceId": "<string>",
"slug": "<string>",
"icon": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "<unknown>",
"isPublic": true
}
],
"workspaces": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"logo": "<string>",
"metadata": "<string>",
"description": "<string>",
"createdAt": "<unknown>"
}
],
"comments": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "<unknown>",
"userId": "<string>",
"content": "<string>",
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
],
"activities": [
{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "<unknown>",
"userId": "<string>",
"content": "<string>",
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}
]
}API Key authentication
1all, tasks, projects, workspaces, comments, activities 1 <= x <= 50